Skip to main content
PUT
/
api
/
v2
/
wallet-groups
/
{groupId}
/
wallets
/
order
cURL
curl --request PUT \
  --url https://api.shuriken.trade/api/v2/wallet-groups/{groupId}/wallets/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletIds": [
    "<string>"
  ]
}
'
{
  "data": {
    "archived": true,
    "createdAt": "<string>",
    "groupId": "<string>",
    "name": "<string>",
    "updatedAt": "<string>",
    "walletIds": [
      "<string>"
    ],
    "chain": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

groupId
string
required

Body

application/json
walletIds
string[]
required

Response

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)